Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dsytri

    java.lang.Object
      org.netlib.lapack.Dsytri

    public class Dsytri

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DSYTRI computes the inverse of a real symmetric indefinite matrix
     *  A using the factorization A = U*D*U**T or A = L*D*L**T computed by
     *  DSYTRF.
     *
     *  Arguments
     *  =========
     *
     *  UPLO    (input) CHARACTER*1
     *          Specifies whether the details of the factorization are stored
     *          as an upper or lower triangular matrix.
     *          = 'U':  Upper triangular, form is A = U*D*U**T;
     *          = 'L':  Lower triangular, form is A = L*D*L**T.
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.
     *
     *  A       (input/output) DOUBLE PRECISION array, dimension (LDA,N)
     *          On entry, the block diagonal matrix D and the multipliers
     *          used to obtain the factor U or L as computed by DSYTRF.
     *
     *          On exit, if INFO = 0, the (symmetric) inverse of the original
     *          matrix.  If UPLO = 'U', the upper triangular part of the
     *          inverse is formed and the part of A below the diagonal is not
     *          referenced; if UPLO = 'L' the lower triangular part of the
     *          inverse is formed and the part of A above the diagonal is
     *          not referenced.
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A.  LDA >= max(1,N).
     *
     *  IPIV    (input) INTEGER array, dimension (N)
     *          Details of the interchanges and the block structure of D
     *          as determined by DSYTRF.
     *
     *  WORK    (workspace) DOUBLE PRECISION array, dimension (N)
     *
     *  INFO    (output) INTEGER
     *          = 0: successful exit
     *          < 0: if INFO = -i, the i-th argument had an illegal value
     *          > 0: if INFO = i, D(i,i) = 0; the matrix is singular and its

     *               inverse could not be computed.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Dsytri()`

Method Summary
`static void` | `dsytri(java.lang.String uplo, int n, double[] a, int _a_offset, int lda, int[] ipiv, int _ipiv_offset, double[] work, int _work_offset, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dsytri

    public Dsytri()

Method Detail

### dsytri

    public static void dsytri(java.lang.String uplo,
                              int n,
                              double[] a,
                              int _a_offset,
                              int lda,
                              int[] ipiv,
                              int _ipiv_offset,
                              double[] work,
                              int _work_offset,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD